> To find and run AgentRouter tools, connect to https://mcp.agentrouter.to/. To search this documentation, use https://docs.agentrouter.to/_mcp/server. Append .md to a page URL for Markdown. For the documentation index, see https://docs.agentrouter.to/llms.txt.

# List top-ups

GET https://api.agentrouter.to/v1/wallet/topups

Reference: https://docs.agentrouter.to/api-reference/agent-router-api/wallet/list-topups

## Authentication

- `Authorization` header (bearer token, required) — An AgentRouter API key or an OAuth access token issued to an MCP host or the CLI.

## Response

### 200

Top-ups and the current options

- `object` (any, required)
- `topups` (list of Topup, required)
- `options` (TopupOptions, required)

## Types

### Topup

- `topup_id` (string, required)
- `status` (enum, required)
  - Allowed values: `pending`, `completed`, `expired`, `failed`
- `amount_usd` (string, required) — Exact USD amount as a decimal string.
- `fee_usd` (string, required) — Exact USD amount as a decimal string.
- `total_usd` (string, required) — Exact USD amount as a decimal string.
- `created_at` (string, required)
- `completed_at` (string, required, nullable)

### TopupOptions

- `presets` (list of TopupQuote, required)
- `minimum_usd` (string, required) — Exact USD amount as a decimal string.
- `maximum_usd` (string, required) — Exact USD amount as a decimal string.
- `fee_rate` (string, required)
- `enabled` (boolean, required) — False when top-ups are turned off; contact support instead.

### TopupQuote

- `amount_usd` (string, required) — Exact USD amount as a decimal string.
- `fee_usd` (string, required) — Exact USD amount as a decimal string.
- `total_usd` (string, required) — Exact USD amount as a decimal string.
- `fee_rate` (string, required)
- `fee_rule` (string, required)

## Examples

**Response**

```json
{
  "object": null,
  "topups": [
    {
      "topup_id": "string",
      "status": "pending",
      "amount_usd": "0.0035",
      "fee_usd": "0.0035",
      "total_usd": "0.0035",
      "created_at": "string",
      "completed_at": "string"
    }
  ],
  "options": {
    "presets": [
      {
        "amount_usd": "0.0035",
        "fee_usd": "0.0035",
        "total_usd": "0.0035",
        "fee_rate": "0.05",
        "fee_rule": "string"
      }
    ],
    "minimum_usd": "0.0035",
    "maximum_usd": "0.0035",
    "fee_rate": "string",
    "enabled": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.agentrouter.to/v1/wallet/topups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.agentrouter.to/v1/wallet/topups';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.agentrouter.to/v1/wallet/topups"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.agentrouter.to/v1/wallet/topups")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.agentrouter.to/v1/wallet/topups")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.agentrouter.to/v1/wallet/topups', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.agentrouter.to/v1/wallet/topups");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.agentrouter.to/v1/wallet/topups")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```